Команда "Отменить"

From FreeCAD Documentation
This page is a translated version of the page Std Undo and the translation is 65% complete.
Outdated translations are marked like this.
Other languages:

Отменить

Расположение в меню
Правка → Отменить
Верстаки
Все
Быстрые клавиши
Ctrl+Z
Представлено в версии
-
См. также
Вернуть

Описание

Команда "Отменить", отменяет последнее действие.

Применение

  1. Существует несколько способов вызова данной команды:
    • Нажатием кнопки Отменить на панели инструментов.
    • Вызовом через меню Правка → Отменить.
    • Используя комбинацию клавиш клавиатуры: Ctrl+Z.

Опции

  • Чтобы отменить несколько действий, нажмите на маленькую черную стрелку указывающую вниз с правой стороны от кнопки Отмена и выберите шаг к которому нужно вернуться из списка.

Настройки

See also: Preferences Editor.

  • Функцию Отмены/Повтора можно отключить, установив Инструменты → Редактор параметров... → Base App → Preferences → Document → UsingUndo в состяние false, но это не рекомендуется. Этот параметр также можно изменить через Настройки.
  • Максимальное количество шагов Отмены/Повтора steps можно установить в Инструменты → Редактор параметров... → BaseApp → Preferences → Document → MaxUndoSize. Этот параметр также можно изменить через Настройки.

Программирование

Чтобы отменить последнее действие используйте метод undo объекта document.

import FreeCAD

FreeCAD.ActiveDocument.undo()

При запуске FreeCAD в консольном режиме (CLI) механизм отмены/повтора по умолчанию выключен. Его нужно активировать для каждого документа следующим кодом:

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1